API reference

List services

GET
/v1/storefront/services

The services customers can book, with their prices, how long they take and the branches that offer them, and the days bookings are open.

Authorization

publishableKey
headerAuthorizationBearer <pk_live_…>

The shop’s publishable key, from Settings, Developers in Cashiar. Safe to use in a browser.

Response Body

application/json
  1. response
items*array<>
firstDay*string
lastDay*string
payOnline*boolean
Example Request
curl -X GET 'https://api.cashiar.app/v1/storefront/services'
Example Response200
{
  "items": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "sellingPrice": 0,
      "priceMode": "fixed",
      "durationMinutes": 0,
      "places": [
        "shop"
      ],
      "askFirst": "string",
      "imageUrl": "string",
      "options": [
        {
          "variantId": "string",
          "name": "string",
          "imageUrl": "string",
          "sellingPrice": 0
        }
      ],
      "priceTypes": [
        {
          "id": "string",
          "name": "string"
        }
      ],
      "prices": [
        {
          "variantId": "string",
          "priceListId": "string",
          "sellingPrice": 0
        }
      ],
      "addonGroups": [
        {
          "id": "string",
          "name": "string",
          "mode": "one",
          "required": true,
          "options": [
            {
              "id": "string",
              "name": "string",
              "sellingPrice": 0,
              "preselected": true
            }
          ]
        }
      ],
      "branches": [
        {
          "id": "string",
          "name": "string",
          "workingHours": [
            {
              "open": true,
              "from": "string",
              "to": "string"
            },
            {
              "open": true,
              "from": "string",
              "to": "string"
            },
            {
              "open": true,
              "from": "string",
              "to": "string"
            },
            {
              "open": true,
              "from": "string",
              "to": "string"
            },
            {
              "open": true,
              "from": "string",
              "to": "string"
            },
            {
              "open": true,
              "from": "string",
              "to": "string"
            },
            {
              "open": true,
              "from": "string",
              "to": "string"
            }
          ]
        }
      ]
    }
  ],
  "firstDay": "string",
  "lastDay": "string",
  "payOnline": true
}